LufFileItem (last-updated-files 1.0.0-SNAPSHOT API)
Date: 2015-01-09

org.gcube.portlets.user.lastupdatedfiles.shared

## Class LufFileItem

- java.lang.Object
- - org.gcube.portlets.user.lastupdatedfiles.shared.LufFileItem

- All Implemented Interfaces:
    Serializable

      public class LufFileItem
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LufFileItem()`
    `LufFileItem(String filename, String ownerUserName, String ownerPhotoURL, Date lastUpdated, ImageType type, String fileDownLoadURL)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileDownLoadURL()`
    `String` | `getFilename()`
    `Date` | `getLastUpdated()`
    `String` | `getOwnerPhotoURL()`
    `String` | `getOwnerUserName()`
    `ImageType` | `getType()`
    `void` | `setFileDownLoadURL(String fileDownLoadURL)`
    `void` | `setFilename(String filename)`
    `void` | `setLastUpdated(Date lastUpdated)`
    `void` | `setOwnerPhotoURL(String ownerPhotoURL)`
    `void` | `setOwnerUserName(String ownerUserName)`
    `void` | `setType(ImageType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LufFileItem

          public LufFileItem()

    - #### LufFileItem

          public LufFileItem(String filename,
                     String ownerUserName,
                     String ownerPhotoURL,
                     Date lastUpdated,
                     ImageType type,
                     String fileDownLoadURL)

  - ### Method Detail

    - #### getFilename

          public String getFilename()

    - #### getFileDownLoadURL

          public String getFileDownLoadURL()

    - #### setFileDownLoadURL

          public void setFileDownLoadURL(String fileDownLoadURL)

    - #### setFilename

          public void setFilename(String filename)

    - #### getOwnerUserName

          public String getOwnerUserName()

    - #### setOwnerUserName

          public void setOwnerUserName(String ownerUserName)

    - #### getOwnerPhotoURL

          public String getOwnerPhotoURL()

    - #### setOwnerPhotoURL

          public void setOwnerPhotoURL(String ownerPhotoURL)

    - #### getLastUpdated

          public Date getLastUpdated()

    - #### setLastUpdated

          public void setLastUpdated(Date lastUpdated)

    - #### getType

          public ImageType getType()

    - #### setType

          public void setType(ImageType type)

Copyright © 2015. All Rights Reserved.